<?php
/* html.php - HTML & Output functions
 * 
 * Application:	Accounting Viewer
 * Copyright (C) 2006-2007 Abilis
 * Copyright (C) 2006-2007 Antek srl
 *
 * Author: Elisa Manara <e@entropika.net>
 * Last update:	Mon Oct 30 12:00:49 CET 2006
 *
 * This file is part of Abilis Collector for *nix.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 *                                   
 * You should have received a copy of the GNU General Public License along                        
 * with this program; see the file COPYING.  If not, write to the Free                        
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111 USA. 
 */  
include("loadcombo.php");

function url_redirect($redir_url) {
    header("Location: $redir_url");
    exit;
}

function html_error($error) {
    $html = $error . 
	"<br><br><a href=\"\">".
	"Riprova</a>";

    html_print_page("Attenzione!", $html, "", TPL_ERROR);
}

function html_print_page($title, $content, $navbar = "", $tpl = TPL_DEFAULT,$start = "", $end = "", $in_calling_num = ""
			,$out_called_num = "", $in_user_name = "", $out_user_name = "",$call_result = "", $call_time = "", $direction = "", $collector = "") {
    /* load the template */
    $tplpath = FS_TEMPLATE . "/" . basename($tpl);
    if(file_exists($tplpath) && is_readable($tplpath))
	$html = file_get_contents($tplpath);
    else
	die("Template File non trovato!");

    /* perform keyword substitution */
    $html = html_replace($html, array(
	'TITLE'	    => $title,
	'CONTENT'   => $content,
	'NAVBAR'    => $navbar,
	'IMAGES'    => WEB_IMAGES,
	'start'	    => $start,
	'end'	    => $end,
	'in_calling_num'	=> $in_calling_num,
	'out_called_num'	=> $out_called_num,
	'in_user_name'	=> $in_user_name,
	'out_user_name'	=> $out_user_name,
	'call_result'	=> $call_result,
	'call_time'		=> $call_time,
	'direction'		=> $direction,
	'collectorstr'	=> loadOptions(),
	'collector'		=> $collector,
	));

    print $html;
    exit;
}

/* perform keyword substitution in html contents */
function html_replace($html, $data) {
    foreach($data as $k=>$v) {
	$html = str_replace('%%'.$k.'%%', $v, $html);
    }
    return $html;
}

/* load a template */
function html_template($tpl) {
    $tplpath = FS_TEMPLATE . "/" . basename($tpl);
    if(file_exists($tplpath) && is_readable($tplpath))
	return file_get_contents($tplpath);
    else
	html_error("Template file $tpl non trovato!");
}

?>
